baseURL = 'https://zoness.me'
languageCode = 'en-us'
title = 'This is Zoness?!'
theme = 'mainroad'
enableEmoji = true

[Params]
  author = { name = "Zoness", bio = "Just a programmer writing stuff on the internet.", avatar = "images/avatar.png" }
  authorbox = true
  post_meta = ["author", "date", "categories"] # Order of post meta information
  
[Params.sidebar]
  home = "right" # Configure layout for home page
  list = "left"  # Configure layout for list pages
  single = false # Configure layout for single pages
  # Enable widgets in given order
  widgets = ["search", "recent", "categories", "taglist", "social", "languages"]
  
[Params.widgets]
  recent_num = 5 # Set the number of articles in the "Recent articles" widget
  categories_counter = false # Enable counter for each category in "Categories" widget
  tags_counter = false # Enable counter for each tag in "Tags" widget
  
# Custom social links
[[Params.widgets.social.custom]]
  title = "Bluesky"
  url = "https://bsky.app/profile/zoness.me"
  icon = "bluesky.svg" # Optional. Path relative to "layouts/partials"
  rel = "me" # Set to false to remove the rel attribute
  
[[Params.widgets.social.custom]]
  title = "Mastodon"
  url = "https://mastodo.neoliber.al/@zoness"
  icon = "mastodon.svg" # Optional. Path relative to "layouts/partials"
  rel = "me" # Set to false to remove the rel attribute
  
[[Params.widgets.social.custom]]
  title = "Tumblr"
  url = "https://www.tumblr.com/zon3ss"
  icon = "tumblr.svg" # Optional. Path relative to "layouts/partials"
  rel = "me" # Set to false to remove the rel attribute
  
[permalinks]
  [permalinks.page]
    posts = '/posts/:year/:month/:slug/'
    pages = '/pages/:slug/'

[i18n]
  contentDir = "content"

# RSS
[outputs]
  home = ["HTML", "RSS"]
 
 